//
//  SUInstallerManager.h
//  Sparkle
//
//  Created by Chris Verwymeren on 09-11-03.
//  Copyright 2009 Chris Verwymeren. All rights reserved.
//

#ifndef SUINSTALLERMANAGER_H
#define SUINSTALLERMANAGER_H

#import <Cocoa/Cocoa.h>


@class SUHost;
@protocol SUVersionComparison;

@interface SUInstallManager : NSObject {}

+ (SUInstallManager *)defaultManager;
- (void)installFromUpdateFolder:(NSString *)updateFolder
                       overHost:(SUHost *)host
                       delegate:delegate
                  synchronously:(BOOL)synchronously
              versionComparator:(id <SUVersionComparison>)comparator;

@end

#endif
